'=========================================================================================
' Change All Paths Script by Tadis
'=========================================================================================
' Execute this script to change the paths contained in all of your .ini files to your
' current Samurize Directory


'
' To use: Place this file in your Samurize\Configs Folder and double click
'
' WARNING: THIS SCRIPT WILL CHANGE THE PATHS IN ALL SUBFOLDERS AS WELL
'
' More information on this script can be found at myweb.tiscali.co.uk/sidat/
'
'
' The type of file/file extension (default is "ini")
CONST Ext = "ini"


'The current path (default is "C:\Program Files\Samurize\")
CONST CurrentPath = "C:\Program Files\Samurize\"



' Please do not try to edit anything below this line unless you know what you are doing.

'=========================================================================================
'=========================================================================================
'=========================================================================================

On Error Resume Next

Dim WshShell
Set WshShell = createobject("wscript.shell")
NewPath = WshShell.RegRead ("HKCU\Software\Serious Samurize\General\DirPath")

Dim strPath, LenScriptName

strPath = Wscript.ScriptFullName
LenScriptName = Len(Wscript.ScriptName)
strPath = Left(strPath, (Len(strPath) - lenScriptName))
NameFiles strPath

wscript.echo "Path Localisation Complete!"
'=====================================================
'=====================================================
'=====================================================

Function NameFiles(folder)
Set vFso = CreateObject("Scripting.FileSystemObject")
set vFolder = vFso.GetFolder(folder)

For each vFile in vFolder.Files
   vExtension = Right(vFile , 3)
   If vExtension = Ext Then 
      vFileTemp = Readini (vFile)
      vFileTemp = Replace(vFileTemp, CurrentPath , NewPath)
      Createini vFile , vFileTemp
   End If
Next

For each vSubFolder in vFolder.Subfolders
   NameFiles(vSubFolder)
Next

End Function

'=====================================================
'=====================================================
'=====================================================

Function Readini(rFile)
Dim rfso, rInFile, strLen, strPathr
Const ForReading = 1, ForWriting = 2, ForAppending = 8

strPathr = rFile
Set rfso = CreateObject("Scripting.FileSystemObject")
Set rInFile = rfso.OpenTextFile(strPathr, ForReading)
Readini = rInFile.ReadAll
End Function

'=====================================================
'=====================================================
'=====================================================

Function Createini(vFile, vText)
Dim fso, InFile, OutFile, strText
Set fso = CreateObject("Scripting.FileSystemObject")
Set OutFile = fso.CreateTextFile(vFile, True)
strText = vText
OutFile.Write(strText)
OutFile.Close
End Function